From: Mikulas Patocka <mpatocka@redhat.com>

Introduce a function that adds a bio to the head of the list for
use by the patch that will support barriers.

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-bio-list.h |   10 ++++++++++
 1 files changed, 10 insertions(+)

Index: linux-2.6.29/drivers/md/dm-bio-list.h
===================================================================
--- linux-2.6.29.orig/drivers/md/dm-bio-list.h	2009-04-02 16:34:51.000000000 +0100
+++ linux-2.6.29/drivers/md/dm-bio-list.h	2009-04-02 16:49:57.000000000 +0100
@@ -52,6 +52,16 @@ static inline void bio_list_add(struct b
 	bl->tail = bio;
 }
 
+static inline void bio_list_add_head(struct bio_list *bl, struct bio *bio)
+{
+	bio->bi_next = bl->head;
+
+	bl->head = bio;
+
+	if (!bl->tail)
+		bl->tail = bio;
+}
+
 static inline void bio_list_merge(struct bio_list *bl, struct bio_list *bl2)
 {
 	if (!bl2->head)
